"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const Constants_1 = require("../Constants");
const memory_cache_1 = require("../cache-providers/memory-cache");
class AuthCache {
    constructor() {
        AuthCache.provider.init();
    }
    static setProvider(provider) {
        this.provider = provider;
        this.provider.init();
    }
    set(authResponse) {
        AuthCache.provider.set(Constants_1.KEY_TOKEN, authResponse.authToken);
        AuthCache.provider.set(Constants_1.KEY_ENDPOINT, authResponse.endPoint);
        AuthCache.provider.set(Constants_1.KEY_ISSUED_AT, authResponse.issuedAt);
    }
    getToken() {
        return AuthCache.provider.get(Constants_1.KEY_TOKEN);
    }
    getEndpoint() {
        return AuthCache.provider.get(Constants_1.KEY_ENDPOINT);
    }
    getIssued() {
        return AuthCache.provider.get(Constants_1.KEY_ISSUED_AT);
    }
    isLoaded() {
        return this.getToken() !== undefined;
    }
    clear() {
        AuthCache.provider.clear();
    }
}
AuthCache.provider = memory_cache_1.MemoryCache.getInstance();
exports.AuthCache = AuthCache;
//# sourceMappingURL=AuthCache.js.map