"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const config = require("config");
const Constants_1 = require("../Constants");
class AuthConfig {
    static init(endpoint, username, password) {
        this.setEndpoint(endpoint);
        this.setPassword(password);
        this.setUsername(username);
        if (this.isDataValid()) {
            throw new Error([
                Constants_1.ERROR,
                `Endpoint: ${this.endpoint}`,
                `Username: ${this.username}`,
                `No Password: ${!this.password}`
            ].join(' '));
        }
    }
    static setEndpoint(endpoint) {
        this.endpoint =
            endpoint || config.get('auth.endPoint') || process.env.RESPONSYS_AUTH_ENDPOINT;
    }
    static setUsername(username) {
        this.username =
            username || config.get('auth.username') || process.env.RESPONSYS_USERNAME;
    }
    static setPassword(password) {
        this.password =
            password || config.get('auth.password') || process.env.RESPONSYS_PASSWORD;
    }
    static isDataValid() {
        return (!this.password || !this.username || !this.endpoint);
    }
}
exports.AuthConfig = AuthConfig;
//# sourceMappingURL=AuthConfig.js.map