"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const queryString = require("querystring");
const Request_1 = require("../commons/Request");
const AuthConfig_1 = require("./AuthConfig");
const Constants_1 = require("../Constants");
class AuthenticationRequest extends Request_1.Request {
    constructor() {
        const endpoint = AuthConfig_1.AuthConfig.endpoint;
        const body = {
            user_name: AuthConfig_1.AuthConfig.username,
            password: AuthConfig_1.AuthConfig.password,
            auth_type: Constants_1.TYPE_PASSWORD
        };
        const entity = queryString.stringify(body);
        super(entity, endpoint);
    }
}
exports.AuthenticationRequest = AuthenticationRequest;
//# sourceMappingURL=AuthenticationRequest.js.map