"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const interceptor = require("rest/interceptor");
const AuthCache_1 = require("./AuthCache");
class PathInterceptor {
    constructor() {
        this.authCache = new AuthCache_1.AuthCache();
    }
    get() {
        return interceptor({
            request: (request) => {
                return this.addPath(request);
            }
        });
    }
    addPath(request) {
        if (!this.authCache.isLoaded()) {
            return Promise.reject('Authentication Missing: Cannot add endpoint to path.');
        }
        const endpoint = this.authCache.getEndpoint();
        const path = request.path;
        if (!path.includes(endpoint)) {
            request.path = endpoint + path;
        }
        return request;
    }
}
exports.PathInterceptor = PathInterceptor;
//# sourceMappingURL=PathInterceptor.js.map