"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const queryString = require("querystring");
const config = require("config");
const Request_1 = require("../commons/Request");
const AuthCache_1 = require("./AuthCache");
const Constants_1 = require("../Constants");
const URL = config.get('auth.endPoint');
class RefreshRequest extends Request_1.Request {
    constructor(previousToken) {
        const authCache = new AuthCache_1.AuthCache();
        const token = previousToken ? previousToken : authCache.getToken();
        const header = {
            'content-type': Constants_1.CONTENT_TYPE_URLENCODED,
            Authorization: token
        };
        const entity = queryString.stringify({
            auth_type: Constants_1.TYPE_TOKEN
        });
        super(entity, URL, header);
    }
}
exports.RefreshRequest = RefreshRequest;
//# sourceMappingURL=RefreshRequest.js.map