import * as rest from 'rest';
import { Options } from './Options';
export declare class Client {
    private secureInterceptor;
    private pathInterceptor;
    private options;
    constructor(options?: Options);
    /**
     * Wraps http client with all necessary interceptors. Interceptor order is important.
     *
     * errorCode catches status other than 200 to be treated as errors.
     * retry executes requests again until timeout.
     * secureClientInterceptor handles authentication to responsys.
     * timeout canceles a request after the time set.
     * @param request
     */
    protected call(request: any): rest.ResponsePromise;
}
