"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const Request_1 = require("../../commons/Request");
const Constants_1 = require("../../Constants");
class ListMergeRequest extends Request_1.Request {
    constructor(data, listName, matchColumn = 'EMAIL_ADDRESS_') {
        const service = `${Constants_1.BASE_URL}/lists/${listName}/members`;
        const header = {
            'content-type': Constants_1.CONTENT_TYPE_JSON
        };
        const merge = {
            recordData: data,
            mergeRule: {
                htmlValue: 'H',
                optinValue: 'I',
                textValue: 'T',
                insertOnNoMatch: true,
                updateOnMatch: 'REPLACE_ALL',
                matchColumnName1: matchColumn,
                optoutValue: 'O',
                rejectRecordIfChannelEmpty: null,
                defaultPermissionStatus: 'OPTIN'
            }
        };
        const dataJson = JSON.stringify(merge);
        super(dataJson, service, header);
    }
}
exports.ListMergeRequest = ListMergeRequest;
//# sourceMappingURL=MergeRequest.js.map