"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const Request_1 = require("../commons/Request");
const Constants_1 = require("../Constants");
class TriggerEventMessageRequest extends Request_1.Request {
    constructor(recipients, customEvent, eventName) {
        const service = `${Constants_1.BASE_URL}/events/${eventName}`;
        const header = {
            'content-type': Constants_1.CONTENT_TYPE_JSON
        };
        const entity = JSON.stringify({
            customEvent,
            recipientData: Array.from(recipients)
        });
        super(entity, service, header);
    }
}
exports.TriggerEventMessageRequest = TriggerEventMessageRequest;
//# sourceMappingURL=TriggerEventMessageRequest.js.map