"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const chai_1 = require("chai");
const nock_utils_1 = require("nock-utils");
const queryString = require("querystring");
const AuthCache_1 = require("../../auth/AuthCache");
const Request_1 = require("../fetch/Request");
const Message_1 = require("../fetch/Message");
const TABLE_NAME = 'test_api_responsys';
const FOLDER_NAME = queryString.escape('test_api');
const CASSETTE_PATH = `${__dirname}/cassettes/fetchTable.json`;
const recorder = new nock_utils_1.HttpRecorder(CASSETTE_PATH);
describe('Fetch Table', () => {
    const authCache = new AuthCache_1.AuthCache();
    before(() => {
        authCache.clear();
        recorder.start();
    });
    after(() => {
        authCache.clear();
        recorder.stop();
    });
    it('should fetch a table', async () => {
        const message = new Request_1.TableFetchRequest(TABLE_NAME, FOLDER_NAME);
        const trigger = new Message_1.TableFetchMessage();
        const result = await trigger.send(message);
        chai_1.expect(result.status.code).to.equal(200);
    });
});
//# sourceMappingURL=fetch.test.js.map