"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const Request_1 = require("../../commons/Request");
const Constants_1 = require("../../Constants");
class TableMergeRequest extends Request_1.Request {
    constructor(data, folderName, tableName, dataWithoutPk = [] // when the data or table is not primaryKey
    ) {
        const service = `${Constants_1.BASE_URL}/folders/${folderName}/suppData/${tableName}/members`;
        const header = {
            'content-type': Constants_1.CONTENT_TYPE_JSON
        };
        const merge = {
            recordData: data,
            insertOnNoMatch: true,
            updateOnMatch: 'REPLACE_ALL'
        };
        const dataJson = JSON.stringify((dataWithoutPk.length > 0) ? Object.assign({}, merge, { matchColumnNames: dataWithoutPk }) : merge);
        super(dataJson, service, header);
    }
}
exports.TableMergeRequest = TableMergeRequest;
//# sourceMappingURL=MergeRequest.js.map